Package org.springframework.context.annotation

# Annotation Interface ComponentScans

@Retention(RUNTIME) @Target(TYPE) @Documented public @interface ComponentScans
Container annotation that aggregates several `ComponentScan` annotations.

Can be used natively, declaring several nested `ComponentScan` annotations. Can also be used in conjunction with Java 8's support for repeatable annotations, where `ComponentScan` can simply be declared several times on the same method, implicitly generating this container annotation.

Since:
  4.3
Author:
  Juergen Hoeller
See Also:
  - `ComponentScan`

## Required Element Summary

Required Elements
Modifier and Type
Required Element
Description
`ComponentScan[]`
`value`

## Element Details

### value

ComponentScan[] value